@import url("https://fonts.googleapis.com/css2?family=League+Spartan:wght@400;500;700&display=swap");

:root {
  --clr-primary-1: hsl(300, 43%, 22%);
  --clr-primary-2: hsl(333, 80%, 67%);

  --clr-neutral-3: hsl(303, 10%, 53%);
  --clr-neutral-4: hsl(300, 24%, 96%);
  --clr-neutral-5: hsl(0, 0%, 100%);

  --ff-primary: "League Spartan", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.5rem;
  --transition: all 0.03s linear;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 15px;
}

body {
  font-family: var(--ff-primary);
  font-size: 1rem;
  background: var(--clr-neutral-4);
  line-height: 1.25;
}

.container {
  min-height: 100vh;
  padding-left: 1.75rem;
  padding-right: 1.75rem;
  position: relative;
}

.pattern_top_mobile {
  position: absolute;
}

.pattern_bottom_mobile {
  position: absolute;
  /* background: red; */
  bottom: -15rem;
}
.social_proof_section {
  position: relative;
  top: 6rem;
  width: 90vw;
}

.header {
  /* border: 2px solid red; */
  text-align: center;
  margin-bottom: 1.75rem;
}

.header h1 {
  font-weight: 700;
  font-family: var(--ff-primary);
  width: 16rem;
  font-size: 2rem;
  color: var(--clr-primary-1);
  line-height: 0.9;
  margin: 0 auto;
}

.header p {
  font-weight: 500;
  color: var(--clr-neutral-3);
  line-height: 1.5;
  width: 18rem;
  margin: 0 auto;
  margin-top: 1.25rem;
}

.section_stars {
  background: var(--clr-neutral-4);
  margin-bottom: 3.75rem;
}

.rated_stars {
  background: var(--clr-neutral-3);
  margin-bottom: 1rem;
  display: grid;
  align-items: center;
  justify-content: center;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  border-radius: var(--radius);
}

.rated_stars p {
  color: var(--clr-primary-1);
  font-weight: 700;
}
.stars {
  display: flex;
  gap: 0.25rem;
  justify-content: center;
  margin-bottom: 0.5rem;
}

.article {
  background: var(--clr-primary-1);
  margin-bottom: 1.25rem;
  border-radius: var(--radius);
  padding: 3rem 2rem;
}

img {
  object-fit: cover;
  display: block;
}

.author {
  display: flex;
  gap: 1.5rem;
  align-items: center;
  margin-bottom: 1.75rem;
}

.author img {
  height: 3rem;
  width: 3rem;
  border-radius: 50%;
}

.author_name p:first-child {
  color: var(--clr-neutral-5);
  font-weight: 700;
  text-transform: capitalize;
  letter-spacing: 0.05rem;
  font-size: 1rem;
}

.author_name p:last-child {
  color: var(--clr-primary-2);
  font-weight: 300;
  letter-spacing: 0.05rem;
  font-size: 1rem;
  text-transform: capitalize;
}

.article p {
  color: var(--clr-neutral-5);
  font-weight: 300;
  line-height: 1.5;
}

.top_desktop {
  display: none;
}

.bottom_desktop {
  display: none;
}

@media screen and (min-width: 1170px) {
  .container {
    max-width: 1170px;
    margin-left: auto;
    margin-right: auto;
  }

  .social_proof_section {
    width: 100%;
    height: 100%;
    /* border: 1px solid blue; */
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
      "a b"
      "c c";
  }

  .header {
    /* border: 1px solid black; */
    text-align: left;
    margin: 0 0;
    grid-area: a;
  }

  .header h1,
  .header p {
    margin: 0 0;
  }

  .header h1 {
    font-size: 2.5rem;
    width: 22rem;
    margin-left: 0.875rem;
  }

  .header p {
    margin-top: 1rem;
    margin-left: 0.875rem;
    font-size: 1rem;
    width: 25rem;
  }

  .section_stars .rated_stars:nth-child(1) {
    margin-right: 7rem;
  }

  .section_stars .rated_stars:nth-child(2) {
    margin-left: 4rem;
    margin-right: 4rem;
  }

  .section_stars .rated_stars:nth-child(3) {
    margin-left: 7rem;
  }

  .rated_stars {
    display: flex;
    justify-content: space-around;
    margin-bottom: 0.75rem;
  }

  .stars {
    display: flex;
    gap: 0.6rem;
  }

  .section_stars {
    /* border: 1px solid red; */
    grid-area: b;
    padding-top: 1rem;
  }

  .social_proof {
    display: flex;
    grid-area: c;
    gap: 1.75rem;
    position: relative;
    /* border: 1px solid purple; */
  }

  .social_proof .article:nth-child(2) {
    position: relative;
    top: 1rem;
  }

  .social_proof .article:nth-child(3) {
    position: relative;
    top: 2rem;
  }

  .top_mobile {
    display: none;
  }

  .top_desktop {
    display: block;
    width: 25rem;
  }

  .bottom_mobile {
    display: none;
  }

  .bottom_desktop {
    display: block;
    width: 60rem;
    /* background: red; */
  }

  .pattern_bottom_mobile {
    bottom: 1rem;
    right: 0;
  }
}
